Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 615763 - yum ignores posttrans or kills error messages on posttrans??
yum ignores posttrans or kills error messages on posttrans??
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 919151 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 11:17 EDT by Mamoru TASAKA
Modified: 2014-01-21 18:16 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 03:58:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum transaction log (133.33 KB, application/octet-stream)
2010-07-18 11:17 EDT, Mamoru TASAKA
no flags Details
Take advantage of rpm >= 4.10 script start/stop callbacks (1.74 KB, patch)
2012-08-13 05:42 EDT, Panu Matilainen
no flags Details | Diff

  None (edit)
Description Mamoru TASAKA 2010-07-18 11:17:23 EDT
Created attachment 432707 [details]
yum transaction log

Description of problem:
When I am going to install / upgrade to fedora-logos-13.0.3-2.fc14.noarch [1],
with trying this by # rpm -ivh , rpm outputs some error messages:
--------------------------------------------------------------------------
[root@localhost i686]# rpm -e --nodeps fedora-logos
gtk-update-icon-cache: No theme index file.
[root@localhost i686]# LANG=C rpm -ivh fedora-logos-13.0.3-2.fc14.noarch.rpm 
Preparing...                ########################################### [100%]
   1:fedora-logos           ########################################### [100%]
gtk-update-icon-cache: No theme index file.
---------------------------------------------------------------------------
This is because the line 167 on link [1] should be
"gtk-update-icon-cache --quiet %{_kde4_iconsdir}/Fedora-KDE || : ".
---------------------------------------------------------------------------
[root@localhost i686]# ls -al  /usr/share/icons/Fedora-KDE/index.theme
-rw-r--r-- 1 root root 1559 2009-12-16 06:50 /usr/share/icons/Fedora-KDE/index.theme
[root@localhost i686]# gtk-update-icon-cache --quiet /usr/share/icons/Fedora-KDE/index.theme
gtk-update-icon-cache: No theme index file.
---------------------------------------------------------------------------
So the error message came from %posttrans scriptlet .

[1]
http://cvs.fedoraproject.org/viewvc/rpms/fedora-logos/devel/fedora-logos.spec?revision=1.143&view=markup

However with trying to install fedora-logos with yum:
---------------------------------------------------------------------------
[root@localhost i686]# rpm -e --nodeps fedora-logos
gtk-update-icon-cache: No theme index file.
[root@localhost i686]# LANG=C yum -y --nogpgcheck localinstall ./fedora-logos-13.0.3-2.fc14.noarch.rpm 
Loaded plugins: downloadonly
Setting up Local Package Process
Examining ./fedora-logos-13.0.3-2.fc14.noarch.rpm: fedora-logos-13.0.3-2.fc14.noarch
Marking ./fedora-logos-13.0.3-2.fc14.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package fedora-logos.noarch 0:13.0.3-2.fc14 set to be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================
 Package                  Arch               Version                    Repository                                      Size
=============================================================================================================================
Installing:
 fedora-logos             noarch             13.0.3-2.fc14              /fedora-logos-13.0.3-2.fc14.noarch             1.9 M

Transaction Summary
=============================================================================================================================
Install       1 Package(s)

Total size: 1.9 M
Installed size: 1.9 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
** Found 8 pre-existing rpmdb problem(s), 'yum check' output follows:
bluecurve-icon-theme-8.0.2-5.fc12.noarch has missing requires of system-logos
compiz-0.8.6-2.fc14.i686 has missing requires of system-logos
fedora-kde-icon-theme-0.0.2-3.fc14.noarch has missing requires of system-logos
1:gdm-2.30.2-3.fc14.i686 has missing requires of system-logos
gnome-session-2.31.2-2.fc14.i686 has missing requires of system-logos
1:grub-0.97-65.fc14.i686 has missing requires of system-logos
lxde-common-0.5.4-2.fc14.noarch has missing requires of system-logos
plymouth-0.8.2-3.fc13.i686 has missing requires of system-logos
  Installing     : fedora-logos-13.0.3-2.fc14.noarch                                                                     1/1 

Installed:
  fedora-logos.noarch 0:13.0.3-2.fc14                                                                                        

Complete!
---------------------------------------------------------------------------
So error messages on fedora-logos %posttrans cannot be seen.

Also, with trying "# yum -y --rpmverbosity debug --nogpgcheck localinstall",
%posttrans scriptlet part cannot be seen from yum output (attached).

So yum ignores %posttrans, or just messages on %posttrans are sent
to /dev/null or something else?

Version-Release number of selected component (if applicable):
yum-3.2.27-18.fc14.noarch
fedora-logos-13.0.3-2.fc14.noarch

Also checked with jd-2.7.0-0.3.svn3586_trunk.fc14

How reproducible:
100%
Comment 1 seth vidal 2010-07-20 09:45:13 EDT
when you run: yum history info

after one of those transactions, do you see the posttrans output?
Comment 2 seth vidal 2010-07-20 10:49:08 EDT
this is the same as rhel6 bug:

https://bugzilla.redhat.com/show_bug.cgi?id=606239
Comment 3 Mamoru TASAKA 2010-07-20 10:57:01 EDT
Well,

[root@localhost i686]# rpm -q fedora-logos
fedora-logos-13.0.3-1.fc14.noarch
[root@localhost i686]# yum -y --nogpgcheck localinstall ./fedora-logos-13.0.3-2.fc14.noarch.rpm 
Loaded plugins: downloadonly
Setting up Local Package Process
Examining ./fedora-logos-13.0.3-2.fc14.noarch.rpm: fedora-logos-13.0.3-2.fc14.noarch
Marking ./fedora-logos-13.0.3-2.fc14.noarch.rpm as an update to fedora-logos-13.0.3-1.fc14.noarch
Resolving Dependencies
--> Running transaction check
---> Package fedora-logos.noarch 0:13.0.3-2.fc14 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================================
 Package               Arch            Version                  Repository                                   Size
==================================================================================================================
Updating:
 fedora-logos          noarch          13.0.3-2.fc14            /fedora-logos-13.0.3-2.fc14.noarch          1.9 M

Transaction Summary
==================================================================================================================
Upgrade       1 Package(s)

Total size: 1.9 M
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Updating       : fedora-logos-13.0.3-2.fc14.noarch                                                          1/2 
  Cleanup        : fedora-logos-13.0.3-1.fc14.noarch                                                          2/2 
Non-fatal POSTUN scriptlet failure in rpm package fedora-logos

Updated:
  fedora-logos.noarch 0:13.0.3-2.fc14                                                                             

Complete!
[root@localhost i686]# yum history list
Loaded plugins: downloadonly
ID     | Login user             | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
   108 |  <tasaka1>             | 2010-07-20 23:47 | Update         |    1  <
   107 |  <tasaka1>             | 2010-07-20 15:19 | I, U           |   72 ><
Comment 4 seth vidal 2010-07-20 11:00:12 EDT
please run:

yum history info 108

not history list
Comment 5 Mamoru TASAKA 2010-07-20 11:24:09 EDT
Ah, okay.

[root@localhost i686]# yum history info 108
Loaded plugins: downloadonly
Transaction ID : 108
Begin time     : Tue Jul 20 23:47:19 2010
Begin rpmdb    : 2581:b59ca73fccd62dd75656e9696085d695f48b21c2
End time       :            23:49:42 2010 (143 seconds)
End rpmdb      : 2581:b678749fc6ecb0eb6b340496991ee3b54f2482cd
User           :  <tasaka1>
Return-Code    : Success
Command Line   : -y --nogpgcheck localinstall ./fedora-logos-13.0.3-2.fc14.noarch.rpm
Transaction performed with:
    Installed     rpm-4.8.1-3.fc14.i686
    Installed     yum-3.2.27-18.fc14.noarch
    Installed     yum-metadata-parser-1.1.4-1.fc13.i686
Packages Altered:
    Updated fedora-logos-13.0.3-1.fc14.noarch
    Update               13.0.3-2.fc14.noarch
history info
Comment 6 seth vidal 2010-07-20 13:19:50 EDT
comment #5 https://bugzilla.redhat.com/show_bug.cgi?id=606239
is the issue.
Comment 7 Bug Zapper 2010-07-30 08:39:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Panu Matilainen 2012-08-13 05:42:17 EDT
Created attachment 603935 [details]
Take advantage of rpm >= 4.10 script start/stop callbacks

The attached patch fixes the missing %posttrans (and %postun) scriptlet output when rpm >= 4.10 is used. With the new script-callbacks, yum would be able to log the actual scriptlet name and RPMCALLBACK_SCRIPT_ERROR becomes redundant as the exit code is passed to RPMCALLBACK_SCRIPT_STOP but for simplicity wrt compatibility issues, this just ensures scriptlet output gets logged on SCRIPT_STOP events. Didn't notice anything breaking in my brief testing.

Patch also sent to yum-devel but either it ended up in /dev/null or is just taking ages to get there.
Comment 9 Fedora Update System 2012-08-17 16:16:54 EDT
yum-3.4.3-32.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-3.4.3-32.fc18
Comment 10 Fedora Update System 2012-08-27 06:52:45 EDT
yum-3.4.3-34.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-3.4.3-34.fc18
Comment 11 Fedora Update System 2012-08-27 12:30:40 EDT
Package yum-3.4.3-34.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-34.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12756/yum-3.4.3-34.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2012-08-28 19:34:54 EDT
yum-3.4.3-36.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/yum-3.4.3-36.fc18
Comment 13 Fedora End Of Life 2013-04-03 16:39:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 14 Panu Matilainen 2013-05-30 03:58:43 EDT
(In reply to Fedora Update System from comment #12)
> yum-3.4.3-36.fc18 has been submitted as an update for Fedora 18.
> https://admin.fedoraproject.org/updates/yum-3.4.3-36.fc18

Ie long since fixed but nobody remembered to close the bug -> CLOSED ERRATA.
Comment 15 Panu Matilainen 2013-05-30 03:59:16 EDT
*** Bug 919151 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.